Skip to main content
GET
List audit logs

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Query Parameters

actor
string

Filter by actor ID

date_from
string

Filter logs from this date (YYYY-MM-DD or RFC3339)

date_to
string

Filter logs until this date (YYYY-MM-DD or RFC3339)

action
string

Filter by action type

Example:

"CREATE"

entity_type
string

Filter by entity type

Example:

"context"

limit
integer<int64>
default:20

The maximum number of items to include in the response. Maximum number of records to return

Required range: 1 <= x <= 200
cursor
string

The cursor value for retrieving the next page of results. Cursor for pagination (opaque)

Response

Indicates that the request was successful and the response contains the expected data.

hasMore
boolean
required
Example:

true

items
object[] | null
required

Audit log entries for the current page

Maximum array length: 200
limit
integer<int64>
required
Required range: 1 <= x <= 200
Example:

20

nextCursor
string
Example:

"eyJpZCI6IjEyMyJ9"

prevCursor
string
Example:

"eyJpZCI6IjEyMiJ9"